Lavalite package that provides test_general management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `wahid/test_general`.

    "wahid/test_general": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Wahid\TestGeneral\Providers\TestGeneralServiceProvider::class,

And also add it to alias

    'TestGeneral'  => Wahid\TestGeneral\Facades\TestGeneral::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Wahid\\TestGeneralTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Wahid\TestGeneral\Providers\TestGeneralServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Wahid\TestGeneral\Providers\TestGeneralServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Wahid\TestGeneral\Providers\TestGeneralServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/test_general/{modulename}

**User**

    http://path-to-route-folder/user/test_general/{modulename}

**Public**

    http://path-to-route-folder/test_generals


### API endpoints

**List**

    http://path-to-route-folder/api/user/test_general/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/test_general/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/test_general/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/test_general/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/test_general/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/test_general/{modulename}/{slug}
    METHOD: GET